#!/usr/bin/python3
# Copyright 2022 rev1si0n (ihaven0emmail@gmail.com). All rights reserved.
import setuptools

setuptools.setup(
    name            = "aletheia-client",
    url             = "https://github.com/rev1si0n",
    version         = "3.0.0-beta1",
    author          = "rev1si0n",
    extras_require  ={
        "frida": ["frida<15.0.0,>14.2.2", "frida-tools<=9.5.0,>=9.2.0"],
    },
    install_requires=[
        "protobuf==3.13.0",
        "grpcio-tools==1.33.1",
        "grpc-interceptor==0.13.0",
        "grpcio==1.33.1",
    ],
    zip_safe        = False,
    package_data    = {
        "aletheia": ["client.py", "__init__.py", "*.proto"],
        "aletheia.google.protobuf.compiler": ["*.proto"],
        "aletheia.google.protobuf": ["*.proto"],
        "aletheia.rpc": ["*.proto"],
    },
    packages        = [
        "aletheia.google.protobuf.compiler",
        "aletheia.google.protobuf",
        "aletheia.rpc",
        "aletheia",
    ],
)
