# Copyright 2022 rev1si0n (ihaven0emmail@gmail.com). All rights reserved.
#
# Distributed under MIT license.
# See file LICENSE for detail or copy at https://opensource.org/licenses/MIT
class UiAutomatorException(Exception):
    """ UiAutomatorException """


class ActivityNotFound(Exception):
    """ ActivityNotFound """


class FailedInstallApplication(Exception):
    """ FailedInstallApplication """


class ApplicationNotFound(Exception):
    """ ApplicationNotFound """


class EntryActivityNotFound(Exception):
    """ EntryActivityNotFound """


class IllegalArgumentException(Exception):
    """ IllegalArgumentException """


class IllegalStateException(Exception):
    """ IllegalStateException """


class InvalidRootCertificate(Exception):
    """ InvalidRootCertificate """


class InvalidAndroidApkFile(Exception):
    """ InvalidAndroidApkFile """


class NotImplementedException(Exception):
    """ NotImplementedException """


class InternalRpcException(Exception):
    """ InternalRpcException """


class UiObjectNotFoundException(Exception):
    """ UiObjectNotFoundException """


class UnHandledException(Exception):
    """ UnHandledException """


class UiAutomatorHasGoneAway(Exception):
    """ UiAutomatorHasGoneAway """


class RpcsHasGoneAway(Exception):
    """ RpcsHasGoneAway """

